//Source file: ApplicationDescription.java
//Date: January 2004
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V5.4.0

package org.csapi.jr.se.cs;

/**
 * Defines a Sequence of Data Elements that specifies what is about to be charged.
 * 
 */
public final class ApplicationDescription implements java.io.Serializable {

    private String text;
    private org.csapi.jr.se.cs.AppInformation[] appInformation;

    /**
     * Creates a new ApplicationDescription instance.
     */
    public ApplicationDescription () {}

    /**
     * Creates a new ApplicationDescription instance.
     * @param _text   
     * @param _appInformation   
     */
    public ApplicationDescription (String _text, org.csapi.jr.se.cs.AppInformation[] _appInformation) {

        this.text = _text;
        this.appInformation = _appInformation;
    }

    /**
     * This method returns a text.
     * 
     * @return a String value
     */
    public String getText() {
        return text;
    }

    /**
     * This method returns a appInformation.
     * 
     * @return a org.csapi.jr.se.cs.AppInformation[] value
     */
    public org.csapi.jr.se.cs.AppInformation[] getAppInformation() {
        return appInformation;
    }


    /**
     * This method sets a text.
     */ 
    public void setText(String text) {
        this.text = text;
    }

    /**
     * This method sets a appInformation.
     */ 
    public void setAppInformation(org.csapi.jr.se.cs.AppInformation[] appInformation) {
        this.appInformation = appInformation;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof ApplicationDescription)) {
            return false;
        } 
        ApplicationDescription applicationDescription = (ApplicationDescription) o;
        if(!(this.appInformation == applicationDescription.appInformation))  {
            return false;
        }
        if ((this.text != null) && (applicationDescription.text != null)) {
            if(!(this.text.equals(applicationDescription.text)))  {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // ApplicationDescription

