//Source file: ChargingParameter.java
//Date: January 2004
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V5.4.0

package org.csapi.jr.se.cs;

/**
 * Defines a Sequence of Data Elements that defines the used service. 
 * 
 */
public final class ChargingParameter implements java.io.Serializable {

    private int parameterID;
    private org.csapi.jr.se.cs.ChargingParameterValue parameterValue;

    /**
     * Creates a new ChargingParameter instance.
     */
    public ChargingParameter () {}

    /**
     * Creates a new ChargingParameter instance.
     * @param _parameterID   
     * @param _parameterValue   
     */
    public ChargingParameter (int _parameterID, org.csapi.jr.se.cs.ChargingParameterValue _parameterValue) {

        this.parameterID = _parameterID;
        this.parameterValue = _parameterValue;
    }

    /**
     * This method returns a parameterID.
     * 
     * @return a int value
     */
    public int getParameterID() {
        return parameterID;
    }

    /**
     * This method returns a parameterValue.
     * 
     * @return a org.csapi.jr.se.cs.ChargingParameterValue value
     */
    public org.csapi.jr.se.cs.ChargingParameterValue getParameterValue() {
        return parameterValue;
    }


    /**
     * This method sets a parameterID.
     */ 
    public void setParameterID(int parameterID) {
        this.parameterID = parameterID;
    }

    /**
     * This method sets a parameterValue.
     */ 
    public void setParameterValue(org.csapi.jr.se.cs.ChargingParameterValue parameterValue) {
        this.parameterValue = parameterValue;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof ChargingParameter)) {
            return false;
        } 
        ChargingParameter chargingParameter = (ChargingParameter) o;
        if(!(this.parameterID == chargingParameter.parameterID))  {
            return false;
        }
        if ((this.parameterValue != null) && (chargingParameter.parameterValue != null)) {
            if(!(this.parameterValue.equals(chargingParameter.parameterValue))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // ChargingParameter

