//Source file: DirectCreditUnitResEvent.java
//Date: January 2004
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V5.4.0

package org.csapi.jr.se.cs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the directCreditUnitRes() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class DirectCreditUnitResEvent extends java.util.EventObject {

    /**
     * Constructor for the DirectCreditUnitResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public DirectCreditUnitResEvent(java.lang.Object source,
        org.csapi.jr.se.cs.Volume[] creditedVolumes) {

        super(source);
      this.creditedVolumes = creditedVolumes;
 
    }

    org.csapi.jr.se.cs.Volume[] creditedVolumes;

    /**
     *  This method is used to retrieve the parameter value of 'creditedVolumes' passed up
     *  from the Gateway in it's call to the directCreditUnitRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'creditedVolumes' used on creation of this event.
     */
    public org.csapi.jr.se.cs.Volume[] getCreditedVolumes() {

        return this.creditedVolumes;
    }
       
}

