//Source file: ExtendLifeTimeResEvent.java
//Date: January 2004
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V5.4.0

package org.csapi.jr.se.cs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the extendLifeTimeRes() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class ExtendLifeTimeResEvent extends java.util.EventObject {

    /**
     * Constructor for the ExtendLifeTimeResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public ExtendLifeTimeResEvent(java.lang.Object source,
        int                             sessionTimeLeft) {

        super(source);
      this.sessionTimeLeft = sessionTimeLeft;
 
    }

    int                             sessionTimeLeft;

    /**
     *  This method is used to retrieve the parameter value of 'sessionTimeLeft' passed up
     *  from the Gateway in it's call to the extendLifeTimeRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'sessionTimeLeft' used on creation of this event.
     */
    public int getSessionTimeLeft() {

        return this.sessionTimeLeft;
    }
       
}

