//Source file: Volume.java
//Date: January 2004
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V5.4.0

package org.csapi.jr.se.cs;

/**
 * Defines a volume. 
 * 
 */
public final class Volume implements java.io.Serializable {

    private org.csapi.jr.se.cs.Amount amount;
    private int unit;

    /**
     * Creates a new Volume instance.
     */
    public Volume () {}

    /**
     * Creates a new Volume instance.
     * @param _amount   
     * @param _unit   
     */
    public Volume (org.csapi.jr.se.cs.Amount _amount, int _unit) {

        this.amount = _amount;
        this.unit = _unit;
    }

    /**
     * This method returns a amount.
     * 
     * @return a org.csapi.jr.se.cs.Amount value
     */
    public org.csapi.jr.se.cs.Amount getAmount() {
        return amount;
    }

    /**
     * This method returns a unit.
     * 
     * @return a int value
     */
    public int getUnit() {
        return unit;
    }


    /**
     * This method sets a amount.
     */ 
    public void setAmount(org.csapi.jr.se.cs.Amount amount) {
        this.amount = amount;
    }

    /**
     * This method sets a unit.
     */ 
    public void setUnit(int unit) {
        this.unit = unit;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof Volume)) {
            return false;
        } 
        Volume volume = (Volume) o;
        if(!(this.unit == volume.unit))  {
            return false;
        }
        if ((this.amount != null) && (volume.amount != null)) {
            if(!(this.amount.equals(volume.amount))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // Volume

